<?php
// ===================================================================================================
//                           _  __     _ _
//                          | |/ /__ _| | |_ _  _ _ _ __ _
//                          | ' </ _` | |  _| || | '_/ _` |
//                          |_|\_\__,_|_|\__|\_,_|_| \__,_|
//
// This file is part of the Kaltura Collaborative Media Suite which allows users
// to do with audio, video, and animation what Wiki platfroms allow them to do with
// text.
//
// Copyright (C) 2006-2017  Kaltura Inc.
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU Affero General Public License as
// published by the Free Software Foundation, either version 3 of the
// License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Affero General Public License for more details.
//
// You should have received a copy of the GNU Affero General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
// @ignore
// ===================================================================================================

/**
 * @namespace
 */
namespace Kaltura\Client\Plugin\Audit\Enum;

/**
 * @package Kaltura
 * @subpackage Client
 */
class AuditTrailObjectType extends \Kaltura\Client\EnumBase
{
	const BATCH_JOB = "BatchJob";
	const EMAIL_INGESTION_PROFILE = "EmailIngestionProfile";
	const FILE_SYNC = "FileSync";
	const KSHOW_KUSER = "KshowKuser";
	const METADATA = "Metadata";
	const METADATA_PROFILE = "MetadataProfile";
	const PARTNER = "Partner";
	const PERMISSION = "Permission";
	const UPLOAD_TOKEN = "UploadToken";
	const USER_LOGIN_DATA = "UserLoginData";
	const USER_ROLE = "UserRole";
	const ACCESS_CONTROL = "accessControl";
	const CATEGORY = "category";
	const CONVERSION_PROFILE_2 = "conversionProfile2";
	const ENTRY = "entry";
	const FLAVOR_ASSET = "flavorAsset";
	const FLAVOR_PARAMS = "flavorParams";
	const FLAVOR_PARAMS_CONVERSION_PROFILE = "flavorParamsConversionProfile";
	const FLAVOR_PARAMS_OUTPUT = "flavorParamsOutput";
	const KSHOW = "kshow";
	const KUSER = "kuser";
	const MEDIA_INFO = "mediaInfo";
	const MODERATION = "moderation";
	const ROUGHCUT = "roughcutEntry";
	const SYNDICATION = "syndicationFeed";
	const THUMBNAIL_ASSET = "thumbAsset";
	const THUMBNAIL_PARAMS = "thumbParams";
	const THUMBNAIL_PARAMS_OUTPUT = "thumbParamsOutput";
	const UI_CONF = "uiConf";
	const WIDGET = "widget";
}

